> For the complete documentation index, see [llms.txt](https://docs.mapsindoors.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapsindoors.com/products/fast-track-maptemplate/kiosk/qr-code-configuration.md).

# QR code configuration

When running the Map Template in Kiosk mode, you have the possibility to scan a QR code and get the route on your mobile device.

The QR code is configured to offer you the flexibility that you need in order to load the directions between two locations in your own app.

We do that by constructing the URL using the `origin` and the `pathname` belonging to the domain used at the moment. Furthermore, we are adding the necessary query parameters to indicate the `directionsTo` and `directionsFrom`, `apiKey` and other parameters that you may have configured on your app.

Below there is an example of how these URLs are constructed when using the QR code functionality on the Map Template Kiosk:

1. Running the Map Template Kiosk on the MapsPeople domain `map.mapsindoors.com` will open up a QR code with the following URL: <https://map.mapsindoors.com/?mapboxAccessToken=pk.eyJ1IjoibWFwc3Blb3BsZSIsImEiOiJjbG5pdGJtNnYxaWFrMmpydWVkM2prYzV1In0.AjH1bTWr0QHEY9FftxU7Rw&apiKey=02c329e6777d431a88480a09&primaryColor=005655&logo=https%3A%2F%2Fapp.mapsindoors.com%2Fmapsindoors%2Fgfx%2Fmapspeople-logo%2Fmapspeople-pin.svg&directionsFrom=b47a973a8450439598c0189c&directionsTo=0cb9848a8bcf4388a50371bc>
2. Running the Map Template Kiosk on your own domain, `example-domain.com` will open up a QR code with the following URL: <https://example-domain.com/?mapboxAccessToken=pk.eyJ1IjoibWFwc3Blb3BsZSIsImEiOiJjbG5pdGJtNnYxaWFrMmpydWVkM2prYzV1In0.AjH1bTWr0QHEY9FftxU7Rw&apiKey=02c329e6777d431a88480a09&primaryColor=005655&logo=https%3A%2F%2Fapp.mapsindoors.com%2Fmapsindoors%2Fgfx%2Fmapspeople-logo%2Fmapspeople-pin.svg&directionsFrom=b47a973a8450439598c0189c&directionsTo=0cb9848a8bcf4388a50371bc>

At the moment, there is no option to configure the QR code URL to open up on your own app. In order to do that, we advise you to fork the repository on your local machine and proceed with implementing the necessary steps to configure the universal links on Apple (read more about it [here](https://developer.apple.com/ios/universal-links/)) and app links on Android (read more about it [here](https://developer.android.com/training/app-links)).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mapsindoors.com/products/fast-track-maptemplate/kiosk/qr-code-configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
